<hr class="bg-dark p-0 m-0">
<p class="mt-3"><strong>{{commonContent.tenantID}}</strong></p>
<hr class="bg-light p-0 m-0">
<form ngForm #addNewDataValidationRuleForm="ngForm" class="mt-2 mr-2 ml-3 pr-5">
  <p class="text-left text-danger font-weight-bold ml-11">* {{dataValidationFormContent.required}}</p>
  <div class="row mt-3">
    <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-3'">
      <p class="text-left text-dark font-weight-bold">{{dataValidationFormContent.ruleCategory}}</p>
      <p class="text-left text-muted">{{dataValidationFormContent.ruleCatName}}</p>
    </div>
    <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-5'">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{dataValidationFormContent.dataLayer.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required name="selectLayer" #selectLayer="ngModel"
          [(ngModel)]="dataValidationLayoutDetails.data_layer_id" [dataSource]="businessLayerList"
          [fields]="businessLayerFields" (change)=dataLayerChange($event) cssClass="e-outline" class="custom-ddl"
          [placeholder]="dataValidationFormContent.selectOptionWaterMark" [allowFiltering]="true"
          [filterBarPlaceholder]="filterPlaceholder"
          [ngClass]="selectLayer.invalid && (selectLayer.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <div *ngIf="selectLayer.invalid && (selectLayer.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{dataValidationFormContent.dataLayer.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editDataValidationLayoutDetails.data_layer_name}}</p>
      </div>
    </div>
    <div class="col-md-4">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{dataValidationFormContent.object.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required name="selectObject" #selectObject="ngModel"
          [(ngModel)]="dataValidationLayoutDetails.obj_id" [dataSource]="objectList" [fields]="objectFields"
          (change)="objectChange($event)" cssClass="e-outline" class="custom-ddl"
          [filterBarPlaceholder]="filterPlaceholder" [placeholder]="dataValidationFormContent.selectOptionWaterMark"
          [allowFiltering]="true"
          [ngClass]="selectObject.invalid && (selectObject.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <div *ngIf="selectObject.invalid && (selectObject.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{dataValidationFormContent.object.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editDataValidationLayoutDetails.obj_nm}}</p>
      </div>
    </div>
  </div>
  <hr class="bg-light customHR">
  <div class="row">
    <div class="col-md-10">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{dataValidationFormContent.checkType.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <div class="d-flex">
          <ejs-dropdownlist required name="selectCheckType" #selectCheckType="ngModel"
            [(ngModel)]="dataValidationLayoutDetails.mstr_rule_id" [dataSource]="checkList" [fields]="checkFields"
            (change)="checkTypeChange($event)" cssClass="e-outline" class="custom-ddl"
            [filterBarPlaceholder]="filterPlaceholder" [placeholder]="dataValidationFormContent.selectOptionWaterMark"
            [allowFiltering]="true"
            [ngClass]="selectCheckType.invalid && (selectCheckType.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
          </ejs-dropdownlist>
          <span class="ml-3 mt-3 d-flex" *ngIf="bulkSave && !multiAttrRule">
            <ejs-checkbox [label]="dataValidationFormContent.bulkRule.label" class="mr-5" name="bulkRule"
              #bulkRule="ngModel" [(ngModel)]="multiAttrSelect" [value]="multiAttrSelect"
              (change)="multiAttrSelect = !multiAttrSelect">
            </ejs-checkbox>
            <ejs-tooltip id="tooltip" class="ml-3" content={{dataValidationFormContent.bulkRule.subtitle}}><em
                class="fa fa-info-circle"></em></ejs-tooltip>
          </span>
        </div>
        <div *ngIf="selectCheckType.invalid && (selectCheckType.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{dataValidationFormContent.checkType.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editDataValidationLayoutDetails.visual_rule_desc}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-5">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{dataValidationFormContent.attribute.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <div *ngIf="multiAttrSelect">
          <div class="d-flex">
            <ejs-multiselect required name="selectAttribute" #selectAttribute="ngModel" [showDropDownIcon]='true'
              [(ngModel)]="dataValidationLayoutDetails.attr_id_lst" [dataSource]="attributeList"
              [fields]="attributeFields" (change)="multiAttrChange($event)" mode="CheckBox" cssClass="e-outline"
              class="mr-6 custom-ddl" [selectAllText]="dataValidationFormContent.selectALLOption" showSelectAll="true"
              [placeholder]="dataValidationFormContent.multiSelectOptionWaterMark" [disabled]="isRuleEditMode"
              [filterBarPlaceholder]="filterPlaceholder"
              [ngClass]="selectAttribute.invalid && (selectAttribute.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
            </ejs-multiselect>
          </div>
          <div *ngIf="selectAttribute.invalid && (selectAttribute.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{dataValidationFormContent.multiAttribute.errorMsg}}</p>
          </div>
        </div>
        <div *ngIf="!multiAttrSelect">
          <div class="d-flex">
            <ejs-dropdownlist required name="selectAttribute" #selectAttribute="ngModel"
              [(ngModel)]="dataValidationLayoutDetails.attr_id_lst" [dataSource]="attributeList"
              [filterBarPlaceholder]="filterPlaceholder" [fields]="attributeFields" (change)="attributeChange($event)"
              cssClass="e-outline" class="mr-6 custom-ddl"
              [placeholder]="dataValidationFormContent.selectOptionWaterMark" [allowFiltering]="true"
              [disabled]="isRuleEditMode"
              [ngClass]="selectAttribute.invalid && (selectAttribute.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
            </ejs-dropdownlist>
          </div>
          <div *ngIf="selectAttribute.invalid && (selectAttribute.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{dataValidationFormContent.attribute.errorMsg}}</p>
          </div>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editDataValidationLayoutDetails.attr_nm_lst}}</p>
      </div>
    </div>
  </div>

  <!-- 'Data Availability Option' in case of 'DATA AVAILABILITY CHECK' -->
  <div class="row mt-3"
    *ngIf="!isRuleEditMode && (activeCheckName ===singleParamCheckTypeOptions[5].checkName || activeCheckName ===doubleParamCheckTypeOptions[2].checkName)">
    <div class="col-md-10">
      <p class="text-left text-dark font-weight-bold">{{dataValidationFormContent.dataAvailabilityOption}}</p>
      <span *ngFor="let dataAvailabilityOption of dataAvailabilityOptions" class="mr-2">
        <ejs-radiobutton label="{{dataAvailabilityOption}}" name="dataAvailabilityType" #dataAvailabilityType="ngModel"
          [ngClass]="activeDataAvailabilityType === dataAvailabilityOption?'chkdcustom-radio-btn':'custom-radio-btn'"
          [(ngModel)]="activeDataAvailabilityType" value="{{dataAvailabilityOption}}"
          (click)="dataAvailabilityOptionChange(dataAvailabilityOption)">
        </ejs-radiobutton>
      </span>
    </div>
  </div>

  <!-- Both 'Length Options' and 'Range Options' in case of 'LENGTH CHECK' and 'RANGE CHECK' -->
  <div
    *ngIf="activeCheckName===doubleParamCheckTypeOptions[0].checkName || activeCheckName===doubleParamCheckTypeOptions[1].checkName">
    <div class="row mt-3">
      <div class="col-md-10">
        <p class="text-left text-dark font-weight-bold">
          {{activeCheckName===doubleParamCheckTypeOptions[0].checkName ? dataValidationFormContent.valueCompOption : dataValidationFormContent.lengthOption}}
        </p>
        <span *ngFor="let lengthOption of lengthOptions" class="mr-2">
          <ejs-radiobutton label="{{lengthOption}}" name="lengthOps" #lengthOps="ngModel"
            [ngClass]="activeLengthOption === lengthOption?'chkdcustom-radio-btn':'custom-radio-btn'"
            [(ngModel)]="activeLengthOption" value="{{lengthOption}}" (click)="activeLengthOption = lengthOption">
          </ejs-radiobutton>
        </span>
      </div>
    </div>
    <div class="row mt-3">
      <div class="col-md-10">
        <p class="text-left text-dark font-weight-bold">
          {{dataValidationFormContent.rangeOption}}
        </p>
        <span *ngFor="let rangeOption of rangeOptions" class="mr-2">
          <ejs-radiobutton label="{{rangeOption.text}}" name="rangeIO" #rangeIO="ngModel"
            [ngClass]="dataValidationLayoutDetails.arg_4 === rangeOption.value?'chkdcustom-radio-btn':'custom-radio-btn'"
            [(ngModel)]="dataValidationLayoutDetails.arg_4" value="{{rangeOption.value}}"
            (click)="dataValidationLayoutDetails.arg_4 = rangeOption.value">
          </ejs-radiobutton>
        </span>
      </div>
    </div>
  </div>

  <div *ngIf="activeCheckType===checkTypeOptions[0]">
    <div *ngIf="(activeCheckName === 'FORMAT CHECK')">
      <div class="row mt-2">
        <div class="col-md-4">
          <span class="text-danger font-weight-bold ml-11">* </span>
          <span class="text-left text-dark font-weight-bold">{{dataValidationFormContent.dateFormat.title}}</span>
          <div class="d-flex">
            <ejs-combobox required name="firstInputDateParam" #firstInputDateParam="ngModel"
              [(ngModel)]="dataValidationLayoutDetails.arg_1" [dataSource]="dateFields" [fields]="dateFields"
              (change)="setDatePickerFormat($event)" cssClass="e-outline" class="mr-6 mt-2 custom-combo" width="220px"
              [placeholder]="dataValidationFormContent.selectOptionWaterMark"
              [ngClass]="firstInputDateParam.invalid && (firstInputDateParam.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
            </ejs-combobox>
            <ejs-tooltip id="tooltip" content={{dataValidationFormContent.dateFormat.subtitle}}>
              <em class="fa fa-info-circle ml-2 mt-2 pt-2"
                [ngClass]="firstInputDateParam.invalid && (firstInputDateParam.touched || formInvalidAfterSaveClick)?'error-info-highlight':''"></em>
            </ejs-tooltip>
          </div>
          <div *ngIf="firstInputDateParam.invalid && (firstInputDateParam.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{dataValidationFormContent.dateFormat.errorMsg}}</p>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="activeCheckType===checkTypeOptions[1] && !(activeCheckName === singleParamCheckTypeOptions[4].checkName)">
    <div class="row mt-3">
      <div class="col-md-4">
        <span class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{singleParamCheckTypeOptions[checkIndex].dispLabel}}</span>
        <div class="d-flex">
          <ejs-textbox name="firstInputParam" #firstInputParam="ngModel" [(ngModel)]="dataValidationLayoutDetails.arg_1"
            required cssClass="e-outline" class="mr-6 custom-textbox-setting"
            [ngClass]="firstInputParam.invalid && (firstInputParam.touched || formInvalidAfterSaveClick)?'custom-textbox-highlight':''">
          </ejs-textbox>
          <ejs-tooltip id="tooltip" content={{singleParamCheckTypeOptions[checkIndex].tooltip}}>
            <em class="fa fa-info-circle ml-2 mt-3"></em>
          </ejs-tooltip>
        </div>
        <div *ngIf="firstInputParam.invalid && (firstInputParam.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{singleParamCheckTypeOptions[checkIndex].errorMsg}}</p>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="activeCheckType===checkTypeOptions[2]">
    <div
      *ngIf="(activeCheckName===doubleParamCheckTypeOptions[2].checkName) || (dateTypes.indexOf(selectedAttrDataType.toUpperCase()) === -1)">
      <div class="row mt-3">
        <div class="col-md-4">
          <span class="text-danger font-weight-bold ml-11">* </span>
          <span
            class="text-left text-dark font-weight-bold">{{doubleParamCheckTypeOptions[checkIndex].dispLabel}}</span>
        </div>
      </div>
      <div class="row mt-2">
        <div
          *ngIf="((activeCheckName===doubleParamCheckTypeOptions[0].checkName || activeCheckName===doubleParamCheckTypeOptions[1].checkName) && activeLengthOption===lengthOptions[1])?false:true"
          class="col-xs-5 ml-3">
          <div class="d-flex">
            <ejs-numerictextbox required name="firstInputParam" #firstInputParam="ngModel"
              [(ngModel)]="dataValidationLayoutDetails.arg_1" [max]="dataValidationLayoutDetails.arg_2"
              cssClass="e-outline" class="custom-textbox" format="n0" min="1" step="1" width="220px"
              placeholder={{doubleParamCheckTypeOptions[checkIndex].lowerValue}} (change)="updateTextboxHighlight()"
              [ngClass]="isTextboxEmpty || (firstInputParam.invalid && (firstInputParam.touched || formInvalidAfterSaveClick))?'error-control-highlight':''">
            </ejs-numerictextbox>
            <span class="text-left text-dark font-weight-bold ml-3 mt-2"
              *ngIf="((activeCheckName===doubleParamCheckTypeOptions[0].checkName || activeCheckName===doubleParamCheckTypeOptions[1].checkName) && activeLengthOption!==lengthOptions[2])?false:true">
              {{doubleParamCheckTypeOptions[checkIndex].intermediateDispLabel}}</span>
          </div>
          <div *ngIf="firstInputParam.invalid && (firstInputParam.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{doubleParamCheckTypeOptions[checkIndex].errorMsg1}}</p>
          </div>
        </div>
        <div
          *ngIf="((activeCheckName===doubleParamCheckTypeOptions[0].checkName || activeCheckName===doubleParamCheckTypeOptions[1].checkName) && activeLengthOption===lengthOptions[0])?false:true"
          class=col-md-5>
          <div class="d-flex">
            <ejs-numerictextbox required name="secondInputParam" #secondInputParam="ngModel"
              [(ngModel)]="dataValidationLayoutDetails.arg_2" [min]="dataValidationLayoutDetails.arg_1"
              cssClass="e-outline" class="custom-textbox" format="n0" min="1" step="1" width="220px"
              placeholder={{doubleParamCheckTypeOptions[checkIndex].upperValue}} (change)="updateTextboxHighlight()"
              [ngClass]="isTextboxEmpty || (secondInputParam.invalid && (secondInputParam.touched || formInvalidAfterSaveClick))?'error-control-highlight':''">
            </ejs-numerictextbox>
          </div>
          <div *ngIf="secondInputParam.invalid && (secondInputParam.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{doubleParamCheckTypeOptions[checkIndex].errorMsg2}}</p>
          </div>
        </div>
      </div>
    </div>
    <div
      *ngIf="(dateTypes.indexOf(selectedAttrDataType.toUpperCase()) > -1) && !(activeCheckName===doubleParamCheckTypeOptions[2].checkName)">
      <div class="row mt-2">
        <div class="col-md-4">
          <span class="text-danger font-weight-bold ml-11">* </span>
          <span class="text-left text-dark font-weight-bold">{{dataValidationFormContent.dateFormat.title}}</span>
          <div class="d-flex">
            <ejs-combobox required name="thirdInputDateParam" #thirdInputDateParam="ngModel"
              [(ngModel)]="dataValidationLayoutDetails.arg_3" [dataSource]="dateFields" [fields]="dateFields"
              (change)="setDatePickerFormat($event)" cssClass="e-outline" class="mr-6 custom-combo" width="220px"
              [placeholder]="dataValidationFormContent.selectOptionWaterMark"
              [ngClass]="thirdInputDateParam.invalid && (thirdInputDateParam.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
            </ejs-combobox>
            <ejs-tooltip id="tooltip"
              *ngIf="thirdInputDateParam.invalid && (thirdInputDateParam.touched || formInvalidAfterSaveClick)"
              content={{dataValidationFormContent.dateFormat.errorMsg}}>
              <em class="fa fa-info-circle error-info-highlight ml-2 mt-2 pt-1"></em>
            </ejs-tooltip>
          </div>
          <div *ngIf="thirdInputDateParam.invalid && (thirdInputDateParam.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{dataValidationFormContent.dateFormat.errorMsg}}</p>
          </div>
        </div>
      </div>
      <div class="row mt-2">
        <div class="col-md-4">
          <span
            class="text-left text-dark font-weight-bold">{{doubleParamCheckTypeOptions[checkIndex].dispLabel}}</span>
        </div>
      </div>
      <div class="row mt-2">
        <div
          *ngIf="((activeCheckName===doubleParamCheckTypeOptions[0].checkName || activeCheckName===doubleParamCheckTypeOptions[1].checkName) && activeLengthOption===lengthOptions[1])?false:true"
          class="ml-3">
          <div class="d-flex">
            <ejs-datepicker required name="firstInputParam" #firstInputParam="ngModel"
              [(ngModel)]="dataValidationLayoutDetails.arg_1" [max]="dataValidationLayoutDetails.arg_2"
              [format]="activeDateFormat" cssClass="e-outline" class="custom-datepicker" width="220px"
              (change)="updateTextboxHighlight()" placeholder={{doubleParamCheckTypeOptions[checkIndex].lowerValue}}
              [ngClass]="isTextboxEmpty || (firstInputParam.invalid && (firstInputParam.touched || formInvalidAfterSaveClick))?'error-control-highlight':''">
            </ejs-datepicker>
            <span class="text-left text-dark font-weight-bold ml-3 mt-2"
              *ngIf="((activeCheckName===doubleParamCheckTypeOptions[0].checkName || activeCheckName===doubleParamCheckTypeOptions[1].checkName) && activeLengthOption!==lengthOptions[2])?false:true">
              {{doubleParamCheckTypeOptions[checkIndex].intermediateDispLabel}}</span>
          </div>
          <div *ngIf="firstInputParam.invalid && (firstInputParam.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{doubleParamCheckTypeOptions[checkIndex].errorMsg1}}</p>
          </div>
        </div>
        <div
          *ngIf="((activeCheckName===doubleParamCheckTypeOptions[0].checkName || activeCheckName===doubleParamCheckTypeOptions[1].checkName) && activeLengthOption===lengthOptions[0])?false:true"
          class="col-md-5">
          <div class="d-flex">
            <ejs-datepicker required name="secondInputParam" #secondInputParam="ngModel"
              [(ngModel)]="dataValidationLayoutDetails.arg_2" [min]="dataValidationLayoutDetails.arg_1"
              cssClass="e-outline" class="custom-datepicker" [format]="activeDateFormat" width="220px"
              (change)="updateTextboxHighlight()" placeholder={{doubleParamCheckTypeOptions[checkIndex].upperValue}}
              [ngClass]="isTextboxEmpty || (secondInputParam.invalid && (secondInputParam.touched || formInvalidAfterSaveClick))?'error-control-highlight':''">
            </ejs-datepicker>
            <ejs-tooltip id="tooltip">
              <em class="fa fa-info-circle ml-2 mt-2 pt-1">
                <ng-template #content>
                  <p>{{doubleParamCheckTypeOptions[checkIndex].tooltip1}}</p>
                  <p>{{doubleParamCheckTypeOptions[checkIndex].tooltip2}}</p>
                  <p>{{doubleParamCheckTypeOptions[checkIndex].tooltip3}}</p>
                </ng-template>
              </em>
            </ejs-tooltip>
          </div>
          <div *ngIf="secondInputParam.invalid && (secondInputParam.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{doubleParamCheckTypeOptions[checkIndex].errorMsg2}}</p>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="activeCheckType===checkTypeOptions[3]">
    <div class="row mt-2">
      <div class="col-md-4">
        <h6 class="text-left text-dark font-weight-bold ml-2">
          {{tripleParamCheckTypeOptions[checkIndex].dispLabel1}}</h6>
        <div class="d-flex">
          <ejs-numerictextbox name="firstInputParam" #firstInputParam="ngModel" format="n0" min="1" step="1"
            [(ngModel)]="dataValidationLayoutDetails.arg_1" cssClass="e-outline" class="custom-textbox"
            [disabled]="dataValidationLayoutDetails.arg_2 || dataValidationLayoutDetails.arg_3"
            (change)="updateTextboxHighlight()"
            [ngClass]="isTextboxEmpty || (firstInputParam.invalid && (firstInputParam.touched || formInvalidAfterSaveClick))?'error-control-highlight':''">
          </ejs-numerictextbox>
          <ejs-tooltip id="tooltip" content={{tripleParamCheckTypeOptions[checkIndex].tooltip1}}>
            <em class="fa fa-info-circle ml-2 mt-2 pt-1"></em>
          </ejs-tooltip>
        </div>
      </div>
    </div>
    <div class="row mt-2">
      <div class="col-md-4">
        <h6 class="text-left text-dark font-weight-bold ml-2">
          {{tripleParamCheckTypeOptions[checkIndex].dispLabel2}}</h6>
        <div class="d-flex">
          <ejs-numerictextbox name="secondInputParam" #secondInputParam="ngModel" format="n0" min="1" step="1"
            [(ngModel)]="dataValidationLayoutDetails.arg_2" cssClass="e-outline" class="custom-textbox"
            [disabled]="dataValidationLayoutDetails.arg_1 || dataValidationLayoutDetails.arg_3"
            (change)="updateTextboxHighlight()"
            [ngClass]="isTextboxEmpty || (secondInputParam.invalid && (secondInputParam.touched || formInvalidAfterSaveClick))?'error-control-highlight':''">
          </ejs-numerictextbox>
          <ejs-tooltip id="tooltip" content={{tripleParamCheckTypeOptions[checkIndex].tooltip2}}>
            <em class="fa fa-info-circle ml-2 mt-2 pt-1"></em>
          </ejs-tooltip>
        </div>
      </div>
    </div>
    <div>
      <h6 class="text-left text-dark font-weight-bold ml-2">
        {{tripleParamCheckTypeOptions[checkIndex].dispLabel3}}</h6>
      <div class="d-flex">
        <ejs-numerictextbox name="thirdInputParam" #thirdInputParam="ngModel" format="n0" min="1" step="1"
          [(ngModel)]="dataValidationLayoutDetails.arg_3" cssClass="e-outline" class="custom-textbox"
          [disabled]="dataValidationLayoutDetails.arg_1 || dataValidationLayoutDetails.arg_2"
          (change)="updateTextboxHighlight()"
          [ngClass]="isTextboxEmpty || (thirdInputParam.invalid && (thirdInputParam.touched || formInvalidAfterSaveClick))?'error-control-highlight':''">
        </ejs-numerictextbox>
        <ejs-tooltip id="tooltip" content={{tripleParamCheckTypeOptions[checkIndex].tooltip3}}>
          <em class="fa fa-info-circle ml-2 mt-2 pt-1"></em>
        </ejs-tooltip>
      </div>
    </div>
  </div>
  <div *ngIf="activeCheckName !=='UNIQUENESS CHECK'">
    <div *ngIf="activeCheckName ==='CONDITIONAL UNIQUENESS CHECK'">
      <div class="row mt-3">
        <div class="col-md-5">
          <span class="text-danger font-weight-bold ml-11">* </span>
          <span
            class="text-left text-dark font-weight-bold">{{dataValidationFormContent.groupingCondition.title}}</span>
          <ejs-multiselect required="" name="grpConditions" #grpConditions="ngModel" [showDropDownIcon]='true'
            [(ngModel)]="dataValidationLayoutDetails.arg_1" [dataSource]="reportColList" [fields]="attributeFields"
            (change)="dupCheck($event)" [selectAllText]="dataValidationFormContent.selectALLOption" mode="CheckBox"
            showSelectAll="true" cssClass="e-outline" class="mr-6 custom-ddl"
            [placeholder]="dataValidationFormContent.multiSelectOptionWaterMark"
            [filterBarPlaceholder]="filterPlaceholder"
            [ngClass]="grpConditions.invalid && (grpConditions.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
          </ejs-multiselect>
          <div *ngIf="grpConditions.invalid && (grpConditions.touched || formInvalidAfterSaveClick)">
            <p class="text-danger">{{dataValidationFormContent.groupingCondition.errorMsg}}</p>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="activeCheckName !=='CONDITIONAL UNIQUENESS CHECK'">
      <div class="row mt-3">
        <div class="col-md-5">
          <span class="text-left text-dark font-weight-bold">{{dataValidationFormContent.reportCols.title}}</span>
          <div class="d-flex">
            <ejs-multiselect name="reportingColumns" #reportingColumns="ngModel" [showDropDownIcon]='true'
              [(ngModel)]="dataValidationLayoutDetails.bk_attr_id_lst" [dataSource]="reportColList"
              [fields]="attributeFields" [selectAllText]="dataValidationFormContent.selectALLOption" mode="CheckBox"
              showSelectAll="true" cssClass="e-outline" class="mr-6 custom-ddl"
              [filterBarPlaceholder]="filterPlaceholder"
              [placeholder]="dataValidationFormContent.multiSelectOptionWaterMark">
            </ejs-multiselect>
            <ejs-tooltip id="tooltip" content={{dataValidationFormContent.reportCols.subtitle}}>
              <em class="fa fa-info-circle ml-2 pt-3"
                [ngClass]="reportingColumns.invalid && reportingColumns.touched?'error-info-highlight':''"></em>
            </ejs-tooltip>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-3">
      <p class="text-left text-dark font-weight-bold">{{dataValidationFormContent.status.title}}</p>
      <span>
        <ejs-checkbox [label]="dataValidationFormContent.status.label" name="active" #active="ngModel"
          [(ngModel)]="dataValidationLayoutDetails.is_rule_actv" [value]="status" autofocus>
        </ejs-checkbox>
      </span>
    </div>
    <div class="col-md-9">
      <p class="text-left text-dark font-weight-bold">{{dataValidationFormContent.severity.title}}</p>
      <span *ngFor="let severityOption of severityOptions" class="mr-2">
        <ejs-radiobutton label="{{severityOption}}" name="severity" #severity="ngModel"
          [ngClass]="dataValidationLayoutDetails.rule_svrt === severityOption?'chkdcustom-radio-btn':'custom-radio-btn'"
          [(ngModel)]="dataValidationLayoutDetails.rule_svrt" value="{{severityOption}}"
          (click)="dataValidationLayoutDetails.rule_svrt = severityOption">
        </ejs-radiobutton>
      </span>
    </div>
  </div>
  <div class="row mt-3 custrow">
    <div class="col-md-12">
      <p class="text-left text-dark font-weight-bold">{{dataValidationFormContent.description.title}}</p>
      <span>
        <ejs-textbox name="txtDescription" #txtDescription="ngModel" [(ngModel)]="dataValidationLayoutDetails.rule_desc"
          cssClass="e-outline" class="mr-2 custom-textbox" [multiline]="true">
        </ejs-textbox>
      </span>
    </div>
  </div>
</form>
<hr>
<div class="bg-light pt-3 pl-3">
  <h6 class="text-left text-dark font-weight-bold">{{commonContent.applySelections}}</h6>
  <div class="row p-3">
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[0]}}</span>
      <ejs-dropdownlist name="therapeuticClass" #therapeuticClass="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="dataValidationFormContent.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[1]}}</span>
      <ejs-dropdownlist name="brand" #brand="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="dataValidationFormContent.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[2]}}</span>
      <ejs-dropdownlist name="fieldForce" #fieldForce="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="dataValidationFormContent.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
  </div>
</div>